@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700&display=swap');

.cuerpo-d
{
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100%;
  font-family: 'Open Sans', sans-serif;

}

.container-d
{
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
  grid-gap: 5px;
  margin:  0 auto;
  column-count: 2;
  column-gap: 20px;
}

.container-d .card
{
  position: relative;
  width: 200px;
  height: 400px;
  margin: 0 auto;
  background: #fff;
  box-shadow: 0 15px 20px rgba(0, 0, 0, 0.5);
}

.container-d .card .face
{
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

}

.container-d .card .face.face1
{
  box-sizing: border-box;
  padding: 20px;
}

.container-d .card .face.face1 h2
{
  margin: 0;
  padding: 0;
  color:#3503ad ;
}

.container-d .card .face.face2
{
  background: #111;
  transition: 0.5s;
  margin: 0px;
}
.container-d .card:nth-child(1) .face.face2
{
  background:linear-gradient(45deg,#3503ad,#f7308c);
}
.container-d .card:nth-child(2) .face.face2
{
  background:linear-gradient(45deg,#3503ad,#f7308c);
}
.container-d .card:nth-child(3) .face.face2
{
  background:linear-gradient(45deg,#3503ad,#f7308c);
}

.container-d .card:hover .face.face2
{
  height: 60px;
}

.container-d .card .face.face2:before
{
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, .1);
}

.container-d .card .face.face2 h2
{
  margin: 0;
  padding: 0;
  font-size: 8em;
  color: #fff;
  transition: 0.5s;
  text-shadow: 0 2px 5px rgba(0,0,0.2);
}

.container-d .card:hover .face.face2 h2
{
  font-size: 2em;
}


@media only screen and (max-width: 768px) {
  .cuerpo-d
  {
    display: grid;
    margin-bottom: 30px;
}
